import { ReactNode } from 'react';
import { useCurrentPermissions } from './GetRPermission';

interface MyToolBarActionsProps {
  actions: Record<string, ReactNode>;
  path?: string;
}

export const MyToolBarActions = ({ actions, path }: MyToolBarActionsProps) => {
  const getCurrentPermissions = useCurrentPermissions();
  return getCurrentPermissions(actions, path);
};
